Etikettarkiv: bakåtkompatibel

Från PHP4 till PHP5

Natten till tisdagen den 12 februari kommer vi att uppgradera skriptspråket PHP på alla våra webbservrar från version 4 till version 5. Detta då den nya versionen erbjuder mer funktionalitet samt betydligt bättre prestanda än sin föregångare.

PHP5 är i stor utsträckning bakåtkompatibel med PHP4, så majoriteten av den kod som idag körs på våra webbservrar bör fungera utan förändring efter uppgraderingen. Vissa skillnader finns dock. Bland annat hanteras objekt på ett helt nytt sätt då PHP5 baseras på Zend Engine 2.0.

Information om den nya objektmodellen i PHP5 hittar du här. De nyckelord, funktioner och liknande som ej är bakåtkompatibla med version 4 listas här och den flora av nya funktioner du får tillgång till med PHP5 hittar du här.

I vår kunskapsdatabas hittar du en mängd tredjepartsprodukter som idag används av våra kunder. De senaste versionerna av dessa produkter bör i samtliga fall fungera fint med PHP5. Kontrollera dock din produkts systemkrav för ytterligare information.

Alla som påverkas av denna uppgradering kommer att bli informerade per e-post inom kort.

Dela detta inlägg: